Class Fox::FXRectangle

In: | ../lib/fox/core.rb
Parent: | Object

Rectangle

Methods

* + == bl br clone contains grow move new overlaps? shrink tl tr

External Aliases

initialize -> initialize4

Public Class methods

new(*args)

Returns an initialized FXRectangle instance.

Public Instance methods

clone()

==(other)

contains(*args)

Point in rectangle?

overlaps?(other)

Rectangles overlap?

move(dx, dy)

Return moved rectangle

grow(*args)

Grow by amount

shrink(*args)

Shrink by amount

tl()

Corners

tr()

bl()

br()

+(other)

Union with rectangle

*(other)

Intersection with rectangle